Start a video
POST
/v1/videos
const url = 'https://api.clipbeat.app/v1/videos';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"song_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","tier":"preview","style":"example","character":"example","aspect":"16:9","title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.clipbeat.app/v1/videos \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "song_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tier": "preview", "style": "example", "character": "example", "aspect": "16:9", "title": "example" }'Start a video from an imported song (credits are reserved, unused credits are returned).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
song_id
required
string format: uuid
tier
string
style
World, place and look of the video
string
character
Original AI lead (no real or famous people)
string
aspect
string
title
string
Responses
Section titled “Responses”Started
Media typeapplication/json
object
id
string format: uuid
status
string
tier
string
title
string | null
aspect
string | null
created_at
string | null format: date-time
progress
object
stage
string | null
done
integer
total
integer
percent
integer
cost
object
credits_reserved
integer
credits_charged
integer
credits_refunded
integer
usd
number
result
object
video_url
string | null
poster_url
string | null
expires_in_sec
integer
error
string
Example
{ "status": "queued", "tier": "preview"}Invalid request
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Missing, invalid or revoked API key
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Not enough credits (see topup_url)
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Key lacks the scope
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Not found
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Song still processing or another video in progress
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Brief rejected or song unusable
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}Rate limited
Media typeapplication/json
object
error
required
string
message
required
string
topup_url
string
retry_after_sec
integer
Example generated
{ "error": "example", "message": "example", "topup_url": "example", "retry_after_sec": 1}